cURL
curl --request POST \
--url https://app.teable.ai/api/oauth/client \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string","homepage":"http://example.com","logo":"string","scopes":["table|create"],"redirectUris":["http://example.com"]}'const url = 'https://app.teable.ai/api/oauth/client';
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"name":"string","description":"string","homepage":"http://example.com","logo":"string","scopes":["table|create"],"redirectUris":["http://example.com"]}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'POST',
hostname: 'app.teable.ai',
port: null,
path: '/api/oauth/client',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.write(JSON.stringify({
name: 'string',
description: 'string',
homepage: 'http://example.com',
logo: 'string',
scopes: ['table|create'],
redirectUris: ['http://example.com']
}));
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
payload = "{\"name\":\"string\",\"description\":\"string\",\"homepage\":\"http://example.com\",\"logo\":\"string\",\"scopes\":[\"table|create\"],\"redirectUris\":[\"http://example.com\"]}"
headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}
conn.request("POST", "/api/oauth/client", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
{
"clientId": "<string>",
"name": "<string>",
"homepage": "<string>",
"redirectUris": [
"<string>"
],
"secrets": [
{
"id": "<string>",
"secret": "<string>",
"lastUsedTime": "<string>"
}
],
"scopes": [
"<string>"
],
"logo": "<string>"
}oauth
Post oauthclient
Create a new OAuth application
POST
/
oauth
/
client
cURL
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
Minimum array length:
1可用选项:
table|create, table|delete, table|export, table|import, table|read, table|update, table|trash_read, table|trash_update, table|trash_reset, view|create, view|delete, view|read, view|update, field|create, field|delete, field|read, field|update, record|comment, record|create, record|delete, record|read, record|update, automation|create, automation|delete, automation|read, automation|update, user|email_read, user|integrations 最后修改于 2026年3月5日
此页面对您有帮助吗?
⌘I

